name: Create Executables
            
on:
  workflow_dispatch:
  release:
    - types: [created]

jobs:
  pyinstaller-build-windows:
    runs-on: windows-latest
    steps:
      - name: Create Executables (Windows)
        uses: sayyid5416/pyinstaller@v1
        with:
          python_ver: '3.11'
          spec: 'client.spec'
          requirements: 'requirements.txt'
          upload_exe_with_name: 'Zordon'
  pyinstaller-build-linux:
    runs-on: ubuntu-latest
    steps:
      - name: Create Executables (Linux)
        uses: sayyid5416/pyinstaller@v1
        with:
          python_ver: '3.11'
          spec: 'client.spec'
          requirements: 'requirements.txt'
          upload_exe_with_name: 'Zordon'
  pyinstaller-build-macos:
    runs-on: macos-latest
    steps:
      - name: Create Executables (macOS)
        uses: sayyid5416/pyinstaller@v1
        with:
          python_ver: '3.11'
          spec: 'client.spec'
          requirements: 'requirements.txt'
          upload_exe_with_name: 'Zordon'
